Bug 1254566 - unbound-libs creates dependency on python2
unbound-libs creates dependency on python2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: unbound (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F23PYTHON3 1260544
  Show dependency treegraph
 
Reported: 2015-08-18 08:04 EDT by Robert Kuska
Modified: 2016-04-18 06:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1260544 (view as bug list)
Environment:
Last Closed: 2015-09-07 04:28:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Kuska 2015-08-18 08:04:08 EDT
unbound-libs creates dependency on python2 even though there seems to be no need for such a requires.


[fedora@localhost ~]$ rpm -q unbound-libs --requires | grep python
libpython2.7.so.1.0()(64bit)


No file from unbound-libs doesn't seem to use python in any way. Linking to libpython is from libunbound.so.

[fedora@localhost ~]$ ldd /usr/lib64/libunbound.so.2 | grep python
	libpython2.7.so.1.0 => /lib64/libpython2.7.so.1.0 (0x00007fb8a7d18000)


From build.log:
libtool: link: gcc -I. -I/usr/include/python2.7 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fPIE -pie -flto -pthread -Wl,-z -Wl,relro -Wl,-z -Wl,now -pie -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o .libs/unbound-host .libs/unbound-host.o .libs/keyraw.o .libs/sbuffer.o .libs/wire2str.o .libs/parse.o .libs/parseutil.o .libs/rrdef.o .libs/str2wire.o .libs/strlcat.o .libs/strlcpy.o  -L. -L.libs /builddir/build/BUILD/unbound-1.5.4/unbound-1.5.4_python2/.libs/libunbound.so -lssl -levent -ldl -lpython2.7 -lcrypto -pthread

My proposal is to package libunbound.so from python3 build of unbound.
Comment 1 Tomáš Hozza 2015-08-19 07:40:33 EDT
I think the libunbound.so should not be linked with python if not really necessary. I'll have to investigate if there is some good reason for that.
Comment 2 Tomáš Hozza 2015-09-03 07:55:12 EDT
There seems to be $LIBS variable in Makefile which includes '-lpythonX.Y' and is used everywhere. I'm investigating possible change.

In the meantime I reported this to upstream:
https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=704
Comment 3 Tomáš Hozza 2015-09-03 14:12:28 EDT
Preferring Python3 build over Python2 for now. Leaving the ticket open.
Comment 4 Fedora Update System 2015-09-03 17:18:45 EDT
unbound-1.5.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15039
Comment 5 Fedora Update System 2015-09-04 03:33:04 EDT
unbound-1.5.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update unbound'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15039
Comment 6 Fedora Update System 2015-09-04 15:45:25 EDT
unbound-1.5.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.